Subject: Re: [PATCH net-next] selftests: net: py: color the basics in the output

From: Willem de Bruijn <[email-masked]>
Date: Wed, 01 Apr 2026 20:03:22 -0400

Stanislav Fomichev wrote:
> On 04/01, Jakub Kicinski wrote:
> > Sometimes it's hard to spot the ok / not ok lines in the output.
> > This is especially true for the GRO tests which retries a lot
> > so there's a wall of non-fatal output printed.
> > 
> > Try to color the crucial lines green / red / yellow when running
> > in a terminal.
> > 
> > Signed-off-by: Jakub Kicinski <[email-masked]>
> > ---
> > This is a bit of RFC, I'm not super convinced this is worth
> > carrying in the tree? Please Ack/Review I'll apply if we get
> > 3 supporting tags.
> 
> Acked-by: Stanislav Fomichev <[email-masked]>

Reviewed-by: Willem de Bruijn <[email-masked]>

Minor aside: I don't know exactly how to exhaustively test whether a
terminal supports colors. If unsure, an inverse approach to err on the
side of caution may be safer. But overall +1 on the intent.